#
# Conditional build
%bcond_without	qt6		# build againast Qt5

%define		qt5ver	5.8.0
%define		qt6ver	6.1.0

Summary:	Advanced clipboard manager with editing and scripting features
Name:		copyq
Version:	7.1.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://github.com/hluk/CopyQ/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	08c93069ad9221eb46f6168ef7ea3f58
Patch0:		%{name}-plugindir.patch
URL:		https://hluk.github.io/CopyQ/
%if %{without qt6}
BuildRequires:	Qt5Core-devel >= %{qt5ver}
BuildRequires:	Qt5Gui-devel >= %{qt5ver}
BuildRequires:	Qt5Network-devel >= %{qt5ver}
BuildRequires:	Qt5Qml-devel >= %{qt5ver}
BuildRequires:	Qt5Svg-devel >= %{qt5ver}
BuildRequires:	Qt5WaylandClient-devel >= %{qt5ver}
BuildRequires:	Qt5Widgets-devel >= %{qt5ver}
BuildRequires:	Qt5X11Extras-devel >= %{qt5ver}
BuildRequires:	Qt5Xml-devel >= %{qt5ver}
BuildRequires:	qt5-linguist
%else
BuildRequires:	Qt6Core-devel >= %{qt6ver}
BuildRequires:	Qt6Gui-devel >= %{qt6ver}
BuildRequires:	Qt6Network-devel >= %{qt6ver}
BuildRequires:	Qt6Qml-devel >= %{qt6ver}
BuildRequires:	Qt6Svg-devel >= %{qt6ver}
BuildRequires:	Qt6WaylandClient-devel >= %{qt6ver}
BuildRequires:	Qt6Widgets-devel >= %{qt6ver}
BuildRequires:	Qt6Xml-devel >= %{qt6ver}
BuildRequires:	qt6-linguist
%endif
BuildRequires:	cmake >= 3.13
BuildRequires:	kf5-extra-cmake-modules >= 5.18.0
BuildRequires:	kf5-knotifications-devel >= 5.18.0
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libxcb-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.742
BuildRequires:	wayland-devel >= 1.15
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-proto-xproto-devel
%if %{without qt6}
Requires:	Qt5Core >= %{qt5ver}
Requires:	Qt5Gui >= %{qt5ver}
Requires:	Qt5Network >= %{qt5ver}
Requires:	Qt5Qml >= %{qt5ver}
Requires:	Qt5Svg >= %{qt5ver}
Requires:	Qt5WaylandClient >= %{qt5ver}
Requires:	Qt5Widgets >= %{qt5ver}
Requires:	Qt5X11Extras >= %{qt5ver}
Requires:	Qt5Xml >= %{qt5ver}
%else
Requires:	Qt6Core >= %{qt6ver}
Requires:	Qt6Gui >= %{qt6ver}
Requires:	Qt6Network >= %{qt6ver}
Requires:	Qt6Qml >= %{qt6ver}
Requires:	Qt6Svg >= %{qt6ver}
Requires:	Qt6WaylandClient >= %{qt6ver}
Requires:	Qt6Widgets >= %{qt6ver}
Requires:	Qt6Xml >= %{qt6ver}
%endif
Requires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	kf5-knotifications >= 5.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CopyQ monitors system clipboard and saves its content in customized
tabs. Saved clipboard can be later copied and pasted directly into any
application.

%package -n bash-completion-copyq
Summary:	Bash completion for CopyQ
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-copyq
Bash completion for CopyQ.

%prep
%setup -q -n CopyQ-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	%{cmake_on_off qt6 WITH_QT6} \
	-DDATA_INSTALL_PREFIX:PATH=%{_datadir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database

%postun
%update_icon_cache hicolor
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/copyq
%dir %{_libdir}/copyq
%dir %{_libdir}/copyq/plugins
%attr(755,root,root) %{_libdir}/copyq/plugins/libitemencrypted.so
%attr(755,root,root) %{_libdir}/copyq/plugins/libitemfakevim.so
%attr(755,root,root) %{_libdir}/copyq/plugins/libitemimage.so
%attr(755,root,root) %{_libdir}/copyq/plugins/libitemnotes.so
%attr(755,root,root) %{_libdir}/copyq/plugins/libitempinned.so
%attr(755,root,root) %{_libdir}/copyq/plugins/libitemsync.so
%attr(755,root,root) %{_libdir}/copyq/plugins/libitemtags.so
%attr(755,root,root) %{_libdir}/copyq/plugins/libitemtext.so
%dir %{_datadir}/copyq
%{_datadir}/copyq/themes
%dir %{_datadir}/copyq/translations
%{_desktopdir}/com.github.hluk.copyq.desktop
%{_iconsdir}/hicolor/*x*/apps/copyq.png
%{_iconsdir}/hicolor/scalable/apps/copyq.svg
%{_iconsdir}/hicolor/scalable/apps/copyq_mask.svg
%{_mandir}/man1/copyq.1*
%{_datadir}/metainfo/com.github.hluk.copyq.appdata.xml

%files -n bash-completion-copyq
%defattr(644,root,root,755)
%{bash_compdir}/copyq
%changelog
* Tue Sep 05 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/copyq.git;a=log;h=auto/th/copyq-7.1.0-1

* Sun Sep 03 2023 Jan Palus <atler@pld-linux.org> 0b6f478
- switch to qt6 by default

* Sun Sep 03 2023 Jan Palus <atler@pld-linux.org> b3798b5
- drop runtime Qt5Script dependency

* Sun Sep 03 2023 Jan Palus <atler@pld-linux.org> 1bafc36
- up to 7.1.0

* Sun Apr 02 2023 Jan Palus <atler@pld-linux.org> c7711d6
- up to 7.0.0

* Thu Jan 19 2023 Jan Palus <atler@pld-linux.org> e0df1d9
- up to 6.4.0

* Mon Sep 26 2022 Jan Palus <atler@pld-linux.org> a3fbfa1
- up to 6.3.2

* Sun Sep 25 2022 Jan Palus <atler@pld-linux.org> 631c847
- up to 6.3.1

* Sun Sep 18 2022 Jan Palus <atler@pld-linux.org> 9b2221b
- correct bash-completion epoch

* Sun Sep 18 2022 Jan Palus <atler@pld-linux.org> 7e1ee26
- up to 6.3.0

* Wed Jul 06 2022 Jan Palus <jpalus@fastmail.com> fe46483
- up to 6.2.0

* Sat Mar 05 2022 Jan Palus <atler@pld-linux.org> dc388f7
- up to 6.1.0

* Sun Jan 02 2022 Jan Palus <atler@pld-linux.org> 4cfd274
- up to 6.0.1

* Thu Sep 30 2021 Jan Palus <atler@pld-linux.org> a0283f2
- up to 5.0.0

* Fri Apr 23 2021 Jan Palus <atler@pld-linux.org> a15aace
- up to 4.1.0

* Thu Apr 15 2021 Jan Palus <atler@pld-linux.org> f462567
- up to 4.0.0

* Fri Oct 16 2020 Jan Palus <atler@pld-linux.org> f8654cf
- up to 3.13.0

* Sun Oct 04 2020 Jan Palus <atler@pld-linux.org> 7e34af6
- new (version 3.12.0)

